Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class SyndFeedTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  Issue1Test, TestSyndFeedAtom03, TestSyndFeedRSS090, TestSyndFeedRSS091N

    public abstract class SyndFeedTest

extends FeedTest

Author:
  pat

Constructor Summary
`protected` | `SyndFeedTest(String feedType)`
`protected` | `SyndFeedTest(String feedType, String feedFileName)`

Method Summary
`protected void` | `assertEqualsStr(String expected, String actual)`
`protected void` | `assertProperty(String property, String value)`
`String` | `getEntryAuthor(Object o)`
`String` | `getEntryDescription(Object o)`
`String` | `getEntryLink(Object o)`
`Date` | `getEntryPublishedDate(Object o)`
`String` | `getEntryTitle(Object o)`
`protected String` | `getPrefix()`
`protected void` | `tearDown()`
`void` | `testDescription()`
`void` | `testEntries()`
`void` | `testEntryDescription()`
`void` | `testEntryLink()`
`void` | `testEntryPublishedDate()`
`void` | `testEntryTitle()`
`void` | `testImage()`
`void` | `testLanguage()`
`void` | `testLink()`
`void` | `testPreserveWireFeed()`
`void` | `testPublishedDate()`
`void` | `testTitle()`
`void` | `testType()`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyndFeedTest

    protected SyndFeedTest(String feedType)

### SyndFeedTest

    protected SyndFeedTest(String feedType,
                           String feedFileName)

Method Detail

### getPrefix

    protected String getPrefix()

### assertProperty

    protected void assertProperty(String property,
                                  String value)

### assertEqualsStr

    protected void assertEqualsStr(String expected,
                                   String actual)

### testPreserveWireFeed

    public void testPreserveWireFeed()
                              throws Exception

  Throws:
    `Exception`

### testType

    public void testType()
                  throws Exception

  Throws:
    `Exception`

### testTitle

    public void testTitle()
                   throws Exception

  Throws:
    `Exception`

### testLink

    public void testLink()
                  throws Exception

  Throws:
    `Exception`

### testDescription

    public void testDescription()
                         throws Exception

  Throws:
    `Exception`

### testLanguage

    public void testLanguage()
                      throws Exception

  Throws:
    `Exception`

### testPublishedDate

    public void testPublishedDate()
                           throws Exception

  Throws:
    `Exception`

### testImage

    public void testImage()
                   throws Exception

  Throws:
    `Exception`

### testEntries

    public void testEntries()
                     throws Exception

  Throws:
    `Exception`

### testEntryTitle

    public void testEntryTitle()
                        throws Exception

  Throws:
    `Exception`

### getEntryTitle

    public String getEntryTitle(Object o)
                         throws Exception

  Throws:
    `Exception`

### testEntryDescription

    public void testEntryDescription()
                              throws Exception

  Throws:
    `Exception`

### getEntryDescription

    public String getEntryDescription(Object o)
                               throws Exception

  Throws:
    `Exception`

### testEntryLink

    public void testEntryLink()
                       throws Exception

  Throws:
    `Exception`

### getEntryLink

    public String getEntryLink(Object o)

### testEntryPublishedDate

    public void testEntryPublishedDate()
                                throws Exception

  Throws:
    `Exception`

### getEntryPublishedDate

    public Date getEntryPublishedDate(Object o)

### getEntryAuthor

    public String getEntryAuthor(Object o)

### tearDown

    protected void tearDown()
                     throws Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.